> ## Documentation Index
> Fetch the complete documentation index at: https://productlasso.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk update rows

> Update a specific column value across multiple rows at once.

## Path parameters

<ParamField path="table_id" type="string" required>
  The unique identifier of the table.
</ParamField>

## Request body

<ParamField body="row_ids" type="string[]" required>
  Array of row IDs to update.
</ParamField>

<ParamField body="column_key" type="string" required>
  The column key to update.
</ParamField>

<ParamField body="value" type="any" required>
  The new value to set for the specified column in all target rows.
</ParamField>

## Response

<ResponseField name="updated_count" type="integer">Number of rows successfully updated.</ResponseField>

<RequestExample>
  ```typescript TypeScript theme={null}
  const result = await client.tables.bulkUpdate("tbl_abc123", {
    row_ids: ["row_1", "row_2", "row_3"],
    column_key: "status",
    value: "approved",
  });

  console.log(result.updated_count); // 3
  ```

  ```python Python theme={null}
  result = client.tables.bulk_update(
      "tbl_abc123",
      row_ids=["row_1", "row_2", "row_3"],
      column_key="status",
      value="approved",
  )

  print(result["updated_count"])  # 3
  ```

  ```bash cURL theme={null}
  curl -X POST "https://hub.banditshq.com/api/v1/tables/tbl_abc123/rows/bulk-update" \
    -H "Authorization: Bearer lasso_..." \
    -H "Content-Type: application/json" \
    -d '{
      "row_ids": ["row_1", "row_2", "row_3"],
      "column_key": "status",
      "value": "approved"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "updated_count": 3
  }
  ```
</ResponseExample>
